// import request from '#/utils/request';
import { requestClient } from '#/api/request';
// 查询流程部署列表
export function listDeploy(query) {
  return requestClient.get('/deploy/list', { params: query });
}

export function listPublish(query) {
  return requestClient.get('/deploy/publishList', { params: query });
}
// 获取流程模型流程图
export function getBpmnXml(definitionId) {
  return requestClient.get(`/deploy/bpmnXml/${definitionId}`);
}
// 修改流程状态
export function changeState(params) {
  return requestClient.put('/model',  { params: params });
}

// 删除流程部署
export function delDeploy(deployIds) {
  return requestClient.delete(`/deploy/${deployIds}`);
}
